阿里云Linux服务器漏洞修复 ( 继续汇总中 )

USN-3767-1: GLib 漏洞

修复命令:apt-get update && apt-get install libglib2.0-0 --only-upgrade

软件:libglib2.0-data 2.40.2-0ubuntu1

命中:libglib2.0-data version less than 2.40.2-0ubuntu1.1

路径:/usr/share/doc/libglib2.0-data

 

USN-3758-1: libx11 漏洞

修复命令:apt-get update && apt-get install libx11-doc --only-upgrade

软件:libx11-data 1.6.2-1ubuntu2

命中:libx11-data version less than 2:1.6.2-1ubuntu2.1

路径:/usr/share/doc/libx11-data

 

USN-3085-1: GDK-PixBuf 漏洞

修复命令:apt-get update && apt-get install libgdk-pixbuf2.0-common --only-upgrade

软件:libgdk-pixbuf2.0-common 2.30.7-0ubuntu1

命中:libgdk-pixbuf2.0-common version less than 2.30.7-0ubuntu1.6

路径:/usr/share/doc/libgdk-pixbuf2.0-common

 

RHSA-2019:0710-高危: python 安全更新

修复命令:yum update python

软件:python-libs 2.7.5-58.el7

命中:python-libs version less than 0:2.7.5-77.el7_6

路径:/etc/python

软件:python 2.7.5-58.el7

命中:python version less than 0:2.7.5-77.el7_6

路径:/usr/bin/pydoc

 

RHSA-2017:2930-高危: 内核 安全和BUG修复更新

修复命令:(修复后需重启服务器,重启nginx无效)

yum update kernel
yum update kernel-tools-libs
yum update kernel-headers
yum update kernel-tools
yum update python-perf

软件:kernel 3.10.0-693.2.2.el7

命中:kernel version less than 0:3.10.0-693.5.2.el7

路径:/boot/.vmlinuz-3.10.0-693.2.2.el7.x86_64.hmac

软件:kernel-tools-libs 3.10.0-693.2.2.el7

命中:kernel-tools-libs version less than 0:3.10.0-693.5.2.el7

路径:/usr/lib64/libcpupower.so.0

软件:kernel-headers 3.10.0-693.2.2.el7

命中:kernel-headers version less than 0:3.10.0-693.5.2.el7

路径:/usr/include/asm

软件:kernel-tools 3.10.0-693.2.2.el7

命中:kernel-tools version less than 0:3.10.0-693.5.2.el7

路径:/etc/sysconfig/cpupower

软件:python-perf 3.10.0-693.2.2.el7

命中:python-perf version less than 0:3.10.0-693.5.2.el7

路径:/usr/lib64/python2.7/site-packages

 

RHSA-2018:0805-中危: glibc 安全和BUG修复更新

修复命令:

yum info glibc

yum update glibc

 

软件:glibc-headers 2.17-196.el7

命中:glibc-headers version less than 0:2.17-222.el7

路径:/usr/include/_G_config.h

软件:glibc-devel 2.17-196.el7

命中:glibc-devel version less than 0:2.17-222.el7

路径:/usr/include/gnu/stubs-64.h

软件:nscd 2.17-196.el7

命中:nscd version less than 0:2.17-222.el7

路径:/etc/nscd.conf

软件:glibc 2.17-196.el7

命中:glibc version less than 0:2.17-222.el7

路径:/etc/gai.conf

软件:glibc-common 2.17-196.el7

命中:glibc-common version less than 0:2.17-222.el7

路径:/etc/default

 

RHSA-2018:3157-中危: curl 和 nss-pem 安全和BUG修复更新

修复命令:

yum update nss-pem -y

yum update curl -y

( 备注:-y:对所有的提问都回答“yes”)

 

软件:libcurl-devel 7.29.0-46.el7

命中:libcurl-devel version less than 0:7.29.0-51.el7

路径:/usr/bin/curl-config

软件:curl 7.29.0-46.el7

命中:curl version less than 0:7.29.0-51.el7

路径:/usr/bin/curl

软件:libcurl 7.29.0-46.el7

命中:libcurl version less than 0:7.29.0-51.el7

路径:/usr/lib64/libcurl.so.4

软件:nss-pem 1.0.3-4.el7

命中:nss-pem version less than 0:1.0.3-5.el7

路径:/usr/lib64/libnsspem.so

 

RHSA-2019:1884-中危: libssh2 安全更新

修复命令:yum update libssh2

软件:libssh2 1.4.3-10.el7_2.1

命中:libssh2 version less than 0:1.4.3-12.el7_6.3

路径:/usr/lib64/libssh2.so.1

 

RHSA-2018:3092-中危: glibc 安全和BUG修复更新

修复命令:

yum update glibc

yum update glibc-common

yum update glibc-devel

yum update glibc-headers

yum update nscd

 

软件:glibc-headers 2.17-196.el7

命中:glibc-headers version less than 0:2.17-260.el7

路径:/usr/include/_G_config.h

软件:nscd 2.17-196.el7

命中:nscd version less than 0:2.17-260.el7

路径:/etc/nscd.conf

软件:glibc 2.17-196.el7

命中:glibc version less than 0:2.17-260.el7

路径:/etc/gai.conf

软件:glibc-common 2.17-196.el7

命中:glibc-common version less than 0:2.17-260.el7

路径:/etc/default

软件:glibc-devel 2.17-196.el7

命中:glibc-devel version less than 0:2.17-260.el7

路径:/usr/include/gnu/stubs-64.h

 

 

 

 

发布了47 篇原创文章 · 获赞 4 · 访问量 1万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 大白 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览